## univention-self-service 5.0.1-15A~5.0.0.202106261733

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2015-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

build: $(shell find  www/css -name '*.styl' | sed "s/.styl/.css/g")

%.css: %.styl
	stylus "$<"

#clean:
#	rm -f www/css/*.css

## univention-self-service 5.0.1-12A~5.0.0.202105111401

=== debian/changelog ===
univention-self-service (5.0.1-12A~5.0.0.202105111401) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 11 May 2021 14:01:37 +0200

univention-self-service (5.0.1-12) unstable; urgency=medium

  * Bug #53209: Fix join script handling (univention-join debhelper) (3)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 10 May 2021 16:45:15 +0200

univention-self-service (5.0.1-11) unstable; urgency=medium

  * Bug #53209: Fix join script handling (univention-join debhelper) (2)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 07 May 2021 12:04:08 +0200

univention-self-service (5.0.1-10) unstable; urgency=medium

  * Bug #53209: Fix join script handling (univention-join debhelper)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 06 May 2021 17:29:48 +0200

univention-self-service (5.0.1-9) unstable; urgency=medium

  * Bug #53215: adjust spacing in "Your profile" tab

 -- Johannes Keiser <keiser@univention.de>  Tue, 04 May 2021 09:02:34 +0200

univention-self-service (5.0.1-8) unstable; urgency=medium

  * Bug #52869: Reload self-service after setting CSP

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 29 Apr 2021 10:28:31 +0200

univention-self-service (5.0.1-7) unstable; urgency=medium

  * Bug #52869: IP should not be supported for self-service links, does not
    work with CSP anyway

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 28 Apr 2021 14:19:48 +0200

univention-self-service (5.0.1-6) unstable; urgency=medium

  * Bug #52869: Add portal user links

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 20 Apr 2021 16:19:08 +0200

univention-self-service (5.0.1-5) unstable; urgency=medium

  * Bug #52437: Increment joinscript version by 10 relative to 4.4-7

 -- Arvid <requate@univention.de>  Mon, 22 Mar 2021 18:29:20 +0100

univention-self-service (5.0.1-4) unstable; urgency=medium

  * Bug #52869: Portal entries have to be created differently now

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sat, 20 Mar 2021 01:53:16 +0100

univention-self-service (5.0.1-3) unstable; urgency=medium

  * Bug #52453: adjust styling of self service

 -- Johannes Keiser <keiser@univention.de>  Mon, 08 Mar 2021 18:50:15 +0100

univention-self-service (5.0.1-2) unstable; urgency=medium

  * bug #52453: adjust header styling

 -- Johannes Keiser <keiser@univention.de>  Thu, 10 Dec 2020 09:18:10 +0100

univention-self-service (5.0.1-1) unstable; urgency=medium

  * Bug #52362: fix token validity check if more than one day passed
  * Bug #52362: fix checking of rate limiting
  * Bug #52362: store timedata in UTC instead of local time

 -- Florian Best <best@univention.de>  Wed, 18 Nov 2020 18:58:47 +0100

univention-self-service (5.0.0-6) unstable; urgency=medium

  * Bug #43686: use systemctl calls for UDL

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 17 Nov 2020 12:33:00 +0100

univention-self-service (5.0.0-5) unstable; urgency=medium

  * Bug #51287: evaluate UCR variable umc/self-
    service/passwordreset/token_validity_period

 -- Florian Best <best@univention.de>  Tue, 20 Oct 2020 17:30:38 +0200

univention-self-service (5.0.0-4) unstable; urgency=medium

  * Bug #42374: Wording - Master -> Primary; Slave -> Replica

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 25 Sep 2020 01:30:56 +0200

univention-self-service (5.0.0-3) unstable; urgency=medium

  * Bug #51327: conform to UDM API change

 -- Florian Best <best@univention.de>  Mon, 07 Sep 2020 17:55:18 +0200

univention-self-service (5.0.0-2) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 07 Sep 2020 17:55:17 +0200

univention-self-service (4.0.3-45) unstable; urgency=medium

  * Bug #51607: allow use of the self service without reentering
    credentials

 -- Florian Best <best@univention.de>  Mon, 07 Sep 2020 17:55:16 +0200

univention-self-service (4.0.3-38) unstable; urgency=medium

  * Bug #51496: fix error message in case password changing failed

 -- Florian Best <best@univention.de>  Mon, 07 Sep 2020 17:55:15 +0200

univention-self-service (4.0.3-37) unstable; urgency=medium

  * Bug #51260: Add missing JS depencency in pages

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 22 Jul 2020 14:09:40 +0200

univention-self-service (4.0.3-36) unstable; urgency=medium

  * Bug #51260: Make page titles configurable via UCR

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 21 Jul 2020 11:53:18 +0200

univention-self-service (4.0.3-35) unstable; urgency=medium

  * Bug #51262: When resetting password via email token, this (recovery) email
    is considered verified

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 17 Jul 2020 10:53:57 +0200

univention-self-service (4.0.3-34) unstable; urgency=medium

  * Bug #51533: Fix "forgot your password" link

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 25 Jun 2020 22:20:07 +0200

univention-self-service (4.0.3-33) unstable; urgency=medium

  * Bug #51261: Fix nested group retrieval

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 25 Jun 2020 22:18:01 +0200

univention-self-service (4.0.3-32) unstable; urgency=medium

  * Bug #51259: add default for new UCR variables

 -- Johannes Keiser <keiser@univention.de>  Tue, 23 Jun 2020 15:25:06 +0200

univention-self-service (4.0.3-31) unstable; urgency=medium

  * Bug #51351: fix passwordreset hook

 -- Johannes Keiser <keiser@univention.de>  Fri, 19 Jun 2020 12:32:07 +0200

univention-self-service (4.0.3-30) unstable; urgency=medium

  * Bug #51259: added seperate blacklist/whitelist variables for profiledata
  	and account deregistration

 -- Johannes Keiser <keiser@univention.de>  Thu, 18 Jun 2020 09:25:55 +0200

univention-self-service (4.0.3-29) unstable; urgency=medium

  * Bug #51351: only add enabled self service links to the menu

 -- Johannes Keiser <keiser@univention.de>  Wed, 17 Jun 2020 15:34:19 +0200



=== debian/control ===
Source: univention-self-service
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 dh-python,
 node-stylus,
 python-all,
 python-polib,
 python3-all,
 univention-config-dev (>= 15.0.3),
 univention-join-dev,
 univention-l10n-dev (>= 7.0.1),
 univention-management-console-dev (>= 12.0.2),
Standards-Version: 3.7.2

Package: univention-self-service
Architecture: all
Depends:
 shell-univention-lib,
 univention-config,
 univention-join,
 univention-self-service-passwordreset-umc,
 ${misc:Depends},
Description: Univention Self Service
 This package contains the password self service module that
 allows users to reset their password without administrator
 intervention. It can be installed on all UCS server roles.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-self-service-master
Architecture: all
Depends:
 univention-mail-postfix | mail-transport-agent,
 univention-postgresql,
 univention-self-service-invitation,
 univention-self-service-passwordreset-umc,
 ${misc:Depends},
Description: Univention Self Service
 This package contains the required dependencies for the Primary Directory Node
 where the self service runs on.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-self-service-passwordreset-umc
Architecture: all
Depends:
 memcached,
 python-psycopg2,
 python-pylibmc,
 shell-univention-lib,
 univention-config,
 univention-join,
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
Description: Password reset module for Univention Self Service.
 This package contains a UMC module that is the backend for the
 univention-self-service-passwordreset-frontend package. It must be
 installed on a Primary Directory Node or Backup Directory Node.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-self-service-invitation
Architecture: all
Depends:
 python-six,
 ${misc:Depends},
Description: Invitation module for Univention Self Service.
 This package contains a listener and a daemon for the
 invitation functionality of the Univention Self Service.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

## univention-self-service 5.0.1-14A~5.0.0.202106171037

=== debian/changelog ===
univention-self-service (5.0.1-14A~5.0.0.202106171037) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 17 Jun 2021 10:37:47 +0200

univention-self-service (5.0.1-14) unstable; urgency=medium

  * Bug #53459: fix Python 2 compatible of UCR module self-service-
    acl.py

 -- Florian Best <best@univention.de>  Thu, 17 Jun 2021 09:11:09 +0200

univention-self-service (5.0.1-13) unstable; urgency=medium

  * Bug #53390: implement light theme

 -- Johannes Keiser <keiser@univention.de>  Fri, 11 Jun 2021 13:32:25 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# 
#  rules file for the debian package
#
# Copyright 2015-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

%:
	dh $@ --with python2,python3,systemd,ucr,univention-l10n,univention-join,umc

## univention-self-service 5.0.1-15A~5.0.0.202106261733

=== debian/changelog ===
univention-self-service (5.0.1-15A~5.0.0.202106261733) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Sat, 26 Jun 2021 17:33:38 +0200

univention-self-service (5.0.1-15) unstable; urgency=medium

  * Bug #46080: renamed e-mail related attribute descriptions

 -- Toni Röhmeyer <roehmeyer@univention.de>  Sat, 26 Jun 2021 09:26:34 +0200

## univention-self-service 5.0.1-18A~5.0.0.202202181750

=== debian/changelog ===
univention-self-service (5.0.1-18A~5.0.0.202202181750) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 18 Feb 2022 17:50:24 +0100

univention-self-service (5.0.1-18) unstable; urgency=medium

  * Bug #51327: migrate univention-self-service to Python 3

 -- Johannes Lohmer <lohmer@univention.de>  Wed, 09 Feb 2022 15:24:09 +0100

univention-self-service (5.0.1-17) unstable; urgency=medium

  * Bug #54029: fix typo

 -- Florian Best <best@univention.de>  Sat, 29 Jan 2022 11:16:04 +0100

univention-self-service (5.0.1-16) unstable; urgency=medium

  * Bug #54029: Update French translation

 -- Johannes Lohmer <lohmer@univention.de>  Fri, 14 Jan 2022 16:35:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python-all,
  python-polib,
  python3-all,
+ python3-polib,
  univention-config-dev (>= 15.0.3),
  univention-join-dev,
  univention-l10n-dev (>= 7.0.1),
@@ -23,6 +24,8 @@
  univention-join,
  univention-self-service-passwordreset-umc,
  ${misc:Depends},
+ ${python:Depends},
+ ${python3:Depends},
 Description: Univention Self Service
  This package contains the password self service module that
  allows users to reset their password without administrator
@@ -56,12 +59,17 @@
  memcached,
  python-psycopg2,
  python-pylibmc,
+ python3-psycopg2,
+ python3-pylibmc,
  shell-univention-lib,
  univention-config,
  univention-join,
  ${misc:Depends},
+ ${python:Depends},
  ${python3:Depends},
- ${python:Depends},
+Provides:
+ ${python:Provides},
+ ${python3:Provides},
 Description: Password reset module for Univention Self Service.
  This package contains a UMC module that is the backend for the
  univention-self-service-passwordreset-frontend package. It must be
@@ -76,7 +84,10 @@
 Architecture: all
 Depends:
  python-six,
+ python3-six,
  ${misc:Depends},
+ ${python:Depends},
+ ${python3:Depends},
 Description: Invitation module for Univention Self Service.
  This package contains a listener and a daemon for the
  invitation functionality of the Univention Self Service.

## univention-self-service 5.0.1-25A~5.0.0.202204201809

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2015-2021 Univention GmbH
+# Copyright 2015-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-self-service (5.0.1-25A~5.0.0.202204201809) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 20 Apr 2022 18:09:42 +0200

univention-self-service (5.0.1-25) unstable; urgency=medium

  * Bug #38762: move widget<>syntax mapping into UDM syntax classes

 -- Florian Best <best@univention.de>  Wed, 20 Apr 2022 00:38:54 +0200

univention-self-service (5.0.1-24) unstable; urgency=medium

  * Bug #54434: replace pngs with svgs

 -- Johannes Keiser <keiser@univention.de>  Tue, 22 Mar 2022 14:29:32 +0100

univention-self-service (5.0.1-23) unstable; urgency=medium

  * Bug #54434: Register the new portal in the joinscript, not in postinst

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Mar 2022 13:43:05 +0100

univention-self-service (5.0.1-22) unstable; urgency=medium

  * Bug #54434: Pre-Depend on univention-portal; UDM modules needed in postinst

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 21 Mar 2022 17:36:44 +0100

univention-self-service (5.0.1-21) unstable; urgency=medium

  * Bug #54434: Fix new installations of the Self Service

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 17 Mar 2022 21:30:42 +0100

univention-self-service (5.0.1-20) unstable; urgency=medium

  * Bug #54434: Add self service function to generate a service specific password

 -- Julia Bremer <bremer@univention.de>  Tue, 15 Mar 2022 19:26:23 +0100

univention-self-service (5.0.1-19) unstable; urgency=medium

  * Bug #48960: make additional UDM user info fields available to self-
    service email templates

 -- Florian Best <best@univention.de>  Fri, 11 Mar 2022 13:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
  univention-postgresql,
  univention-self-service-invitation,
  univention-self-service-passwordreset-umc,
+ python-univention-directory-manager-rest(>> 10.0.2-8),
  ${misc:Depends},
 Description: Univention Self Service
  This package contains the required dependencies for the Primary Directory Node

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # 
 #  rules file for the debian package
 #
-# Copyright 2015-2021 Univention GmbH
+# Copyright 2015-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-self-service 5.0.2-1A~5.0.0.202206161649

=== debian/changelog ===
univention-self-service (5.0.2-1A~5.0.0.202206161649) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 16 Jun 2022 16:49:36 +0200

univention-self-service (5.0.2-1) unstable; urgency=medium

  * Bug #54466: switched self-service to Python 3

 -- Johannes Lohmer <lohmer@univention.de>  Thu, 16 Jun 2022 12:50:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,6 @@
  debhelper,
  dh-python,
  node-stylus,
- python-all,
- python-polib,
  python3-all,
  python3-polib,
  univention-config-dev (>= 15.0.3),
@@ -24,7 +22,6 @@
  univention-join,
  univention-self-service-passwordreset-umc,
  ${misc:Depends},
- ${python:Depends},
  ${python3:Depends},
 Description: Univention Self Service
  This package contains the password self service module that
@@ -43,7 +40,7 @@
  univention-postgresql,
  univention-self-service-invitation,
  univention-self-service-passwordreset-umc,
- python-univention-directory-manager-rest(>> 10.0.2-8),
+ python3-univention-directory-manager-rest(>> 10.0.2-8),
  ${misc:Depends},
 Description: Univention Self Service
  This package contains the required dependencies for the Primary Directory Node
@@ -58,18 +55,14 @@
 Architecture: all
 Depends:
  memcached,
- python-psycopg2,
- python-pylibmc,
  python3-psycopg2,
  python3-pylibmc,
  shell-univention-lib,
  univention-config,
  univention-join,
  ${misc:Depends},
- ${python:Depends},
  ${python3:Depends},
 Provides:
- ${python:Provides},
  ${python3:Provides},
 Description: Password reset module for Univention Self Service.
  This package contains a UMC module that is the backend for the
@@ -84,10 +77,8 @@
 Package: univention-self-service-invitation
 Architecture: all
 Depends:
- python-six,
  python3-six,
  ${misc:Depends},
- ${python:Depends},
  ${python3:Depends},
 Description: Invitation module for Univention Self Service.
  This package contains a listener and a daemon for the

## univention-self-service 5.0.2-2A~5.0.0.202207141901

=== debian/changelog ===
univention-self-service (5.0.2-2A~5.0.0.202207141901) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 14 Jul 2022 19:01:30 +0200

univention-self-service (5.0.2-2) unstable; urgency=medium

  * Bug # 53227: add ucr variable to customize the mail subject
    of the password reset mail

 -- Johannes Lohmer <lohmer@univention.de>  Wed, 13 Jul 2022 10:15:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# 
+#
 #  rules file for the debian package
 #
 # Copyright 2015-2022 Univention GmbH
@@ -31,4 +31,4 @@
 # <https://www.gnu.org/licenses/>.
 
 %:
-	dh $@ --with python2,python3,systemd,ucr,univention-l10n,univention-join,umc
+	dh $@ --with python3,systemd,ucr,univention-l10n,univention-join,umc

## univention-self-service 5.0.2-3A~5.0.0.202209301521

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2015-2022 Univention GmbH
 #

=== debian/changelog ===
univention-self-service (5.0.2-3A~5.0.0.202209301521) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 30 Sep 2022 15:21:15 +0200

univention-self-service (5.0.2-3) unstable; urgency=medium

  * Bug #55028: add UCR variables to customize mail subjects of the
    deregistration, account-verification, and email-change email

 -- Maximilian Janßen <janssen@univention.de>  Tue, 13 Sep 2022 14:12:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 #
 #  rules file for the debian package
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2015-2022 Univention GmbH
 #

## univention-self-service 5.0.6-2A~5.0.0.202302211951

=== debian/changelog ===
univention-self-service (5.0.6-2A~5.0.0.202302211951) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 21 Feb 2023 19:51:11 +0100

univention-self-service (5.0.6-2) unstable; urgency=medium

  * Bug #55684: fix traceback during password-reset get_reset_methods
    from ddos-protection-decorator

 -- Maximilian Janssen <janssen@univention.de>  Mon, 20 Feb 2023 14:54:09 +0100

univention-self-service (5.0.6-1) unstable; urgency=medium

  * Bug #55346: prevent password-reset based username enumeration by
    always sending the same response to the frontend

 -- Maximilian Janßen <janssen@univention.de>  Fri, 03 Feb 2023 12:00:00 +0100

univention-self-service (5.0.5-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:41 +0100

univention-self-service (5.0.4-1) unstable; urgency=medium

  * Bug #53092: Added fail checks for the join scripts

 -- Mika Westphal <westphal@univention.de>  Thu, 02 Feb 2023 13:15:32 +0100

univention-self-service (5.0.3-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Wed, 28 Sep 2022 19:58:55 +0200

## univention-self-service 5.0.6-4A~5.0.0.202303281815

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2015-2022 Univention GmbH
+# Copyright 2015-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-self-service (5.0.6-4A~5.0.0.202303281815) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 28 Mar 2023 18:15:57 +0200

univention-self-service (5.0.6-4) unstable; urgency=medium

  * Bug #55733: created new UCRV to configure read-only attributes
    (self-service/udm_attributes/read-only)

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Tue, 21 Mar 2023 12:21:23 +0100

univention-self-service (5.0.6-3) unstable; urgency=medium

  * Bug #55529: Add `umc/login/password-complexity-message/*` to password reset and create new account error message

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Wed, 22 Feb 2023 00:27:58 +0100

=== debian/control ===
--- 
+++ 
@@ -36,11 +36,11 @@
 Package: univention-self-service-master
 Architecture: all
 Depends:
+ python3-univention-directory-manager-rest(>> 10.0.2-8),
  univention-mail-postfix | mail-transport-agent,
  univention-postgresql,
  univention-self-service-invitation,
  univention-self-service-passwordreset-umc,
- python3-univention-directory-manager-rest(>> 10.0.2-8),
  ${misc:Depends},
 Description: Univention Self Service
  This package contains the required dependencies for the Primary Directory Node

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2015-2022 Univention GmbH
+# Copyright 2015-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-self-service 5.0.10-2

=== debian/changelog ===
univention-self-service (5.0.10-2) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #57350 UCS 5.0-8 version bump

  [ Johannes Königer ]
  * Bug #57226: Change the filter for the self-service
    listener module to only trigger when `sambaPwdLastSet=0`

 -- Johannes Königer <koeniger@univention.de>  Tue, 04 Jun 2024 08:44:07 +0200

univention-self-service (5.0.9-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:45 +0100

univention-self-service (5.0.8-2) unstable; urgency=medium

  * Bug #57061: fix logging strings

 -- Florian Best <best@univention.de>  Tue, 20 Feb 2024 14:44:38 +0100

univention-self-service (5.0.8-1) unstable; urgency=medium

  [ Philipp Hahn ]
  * Bug #56832: UCS 5.0-6 version bump

  [ Florian Best ]
  * Bug #57061: make connection properties for postgresql and memcached
    configurable

 -- Florian Best <best@univention.de>  Wed, 14 Feb 2024 18:41:03 +0100

univention-self-service (5.0.7-3) unstable; urgency=medium

  * Bug #56201: replace python-notifier and adjust to new UMC module API

 -- Florian Best <best@univention.de>  Tue, 27 Jun 2023 16:16:22 +0200

univention-self-service (5.0.7-2) unstable; urgency=medium

  * Bug #50167: Use API version 2, as 3 changed the way policy references are
    handled

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 13 Jun 2023 17:26:17 +0200

univention-self-service (5.0.7-1) unstable; urgency=medium

  * Bug #43633: adjust UMCP set/ HTTP requests

 -- Florian Best <best@univention.de>  Mon, 12 Jun 2023 07:47:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2015-2023 Univention GmbH
+# Copyright 2015-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-self-service 5.0.11-2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2015-2023 Univention GmbH
+# Copyright 2015-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-self-service (5.0.11-2) unstable; urgency=medium

  [ Arvid ]
  * Bug #57581 UCS 5.0-9 version bump

  [ Dirk Wiesenthal ]
  * Make the UMC module a singleton. As it does not need to preserve any
    state, it greatly benefits from not creating one module process per
    session

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 18 Sep 2024 20:37:00 +0200

## univention-self-service 7.2.0

=== debian/changelog ===
univention-self-service (7.2.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58344: UCS 5.2-2 version bump

  [ Marius Meschter ]
  * Bug #51256: Disable the systemd service univention-self-service-passwordreset-umc.service
    on replicas

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 31 Jul 2025 14:40:15 +0200

univention-self-service (7.1.2) unstable; urgency=medium

  * Bug #58214: Allow trusting hosts for UMC self-service rate limit

 -- Juan Pedro Torres Munoz <juan.torres-munoz@univention.de>  Tue, 20 May 2025 15:27:54 +0200

univention-self-service (7.1.1) unstable; urgency=medium

  * Bug #58159: reconnect automatically to postgresql in case of
    connection loss

 -- Florian Best <best@univention.de>  Wed, 02 Apr 2025 15:06:19 +0200

univention-self-service (7.1.0) unstable; urgency=medium

  [ Florian Best ]
  * Bug #57397: add "c" to allowed list of LDAP attributes to be changed in
    default profile view

  [ Christian Castens ]
  * Bug #58015 UCS 5.2-1 version bump


 -- Florian Best <best@univention.de>  Fri, 28 Mar 2025 16:31:44 +0100

univention-self-service (7.0.6) unstable; urgency=medium

  * Bug #57512: add Message-ID to emails sent via Self Service

 -- Christian Castens <castens@univention.de>  Mon, 03 Feb 2025 14:22:38 +0200

univention-self-service (7.0.5) unstable; urgency=medium

  * Bug #57609: Make the UMC module a singleton. As it does not need to
    preserve any state, it greatly benefits from not creating one module
    process per session

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 14 Oct 2024 08:50:54 +0200

univention-self-service (7.0.3) unstable; urgency=medium

  * Bug #57226: Change the filter for the self-service
    listener module to only trigger when `sambaPwdLastSet=0`

 -- Johannes Königer <koeniger@univention.de>  Tue, 04 Jun 2024 08:44:07 +0200

univention-self-service (7.0.2) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:32 +0100

univention-self-service (7.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:20 +0100

univention-self-service (6.0.6) unstable; urgency=medium

  * Bug #56124: set --ucsversionstart flag to 5.0-7

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 07 Mar 2024 23:54:55 +0100

univention-self-service (6.0.5) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:16 +0100

univention-self-service (6.0.4) unstable; urgency=medium

  * Bug #56601: remove old frontend

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:04 +0100

univention-self-service (6.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:34 +0100

univention-self-service (6.0.2) unstable; urgency=medium

  * Bug #56530: remove Python version specification in XML module
    definition

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:26 +0100

univention-self-service (6.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:33 +0100

## univention-self-service 7.3.0

=== debian/changelog ===
univention-self-service (7.3.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Florian Best ]
  * Bug #58644: make logging compatible to structured logging

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  dh-python,
  node-stylus,
  python3-all,
@@ -77,7 +77,6 @@
 Package: univention-self-service-invitation
 Architecture: all
 Depends:
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: Invitation module for Univention Self Service.

=== debian/rules ===
#!/usr/bin/make -f
#
#
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2015-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@ --with python3,ucr,univention-l10n,univention-join,umc

override_dh_installsystemd:
	dh_installsystemd --package=univention-self-service-passwordreset-umc --no-enable --no-start univention-self-service-passwordreset-umc.service
	dh_installsystemd --no-package=univention-self-service-passwordreset-umc

## univention-self-service 7.4.0

=== debian/changelog ===
univention-self-service (7.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:01 +0100
